% this is the program to run, if you just want to plot the graphs instead
% of re-generating all the data.
% this program assumes the existence of a data file with all the results
% in it

clear all; close all;
load freqsweep_forward_and_back;


figure(1);
plot(omegalist_fwd,OscAmpl_list_fwd,'b.'); hold on;
plot(omegalist_bckwd,OscAmpl_list_bckwd,'ro'); 
xlabel('Forcing frequency \omega');
ylabel('Steady Oscillation Amplitude')
legend('forward frequency sweep', 'backward frequency sweep');
title('Steady response amplitude vs frq. Note that we cannot get the unstable branch');


figure(2);
plot(omegalist_fwd,OscAmpl_list_fwd,'b.-'); hold on;
plot(omegalist_bckwd,OscAmpl_list_bckwd,'rx-'); 
xlabel('Forcing frequency \omega');
ylabel('Steady Oscillation Amplitude')
legend('forward frequency sweep', 'backward frequency sweep')
title('Steady response amplitude vs frq. with the points connected -- note the hysteresis');