function famplitude = findamplitude_ForcedDuffing(Yi,param)

% time duration and time list
tperiod = 2*pi/param.omega;
tspan = [0 tperiod];

% solving the ODE
options = odeset('reltol',1e-10,'abstol',1e-10);


% initial condition
Y0 = Yi;
% ode integration
[tlist,Ylist] = ode45(@OdeForcedDuffing,tspan,Y0,options,param);

famplitude = max(Ylist(:,1));